curl --request POST \
--url https://api.iotools.cloud/v1/tool/raw-http-request-parser \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rawRequest": "POST /api/v1/users?verbose=true&fields=id,name HTTP/1.1\nHost: api.example.com\nUser-Agent: curl/8.6.0\nAccept: application/json\nContent-Type: application/json\nContent-Length: 64\nAuthorization: Bearer eyJhbGciOiJIUzI1NiJ9.abc.def\n\n{\"name\":\"Ada Lovelace\",\"email\":\"ada@example.com\",\"role\":\"admin\"}"
}
'{
"tool": "raw-http-request-parser",
"tool_version": "1.0.1",
"outputs": {
"summary": [
{
"field": "Method",
"value": "POST"
},
{
"field": "Path",
"value": "/api/v1/users"
},
{
"field": "Query string",
"value": "verbose=true&fields=id,name"
},
{
"field": "HTTP version",
"value": "HTTP/1.1"
},
{
"field": "Host",
"value": "api.example.com"
},
{
"field": "Content-Type",
"value": "application/json"
},
{
"field": "Headers",
"value": "6"
},
{
"field": "Query parameters",
"value": "2"
},
{
"field": "Body size",
"value": "64 bytes"
}
],
"headers": [
{
"header": "Host",
"value": "api.example.com"
},
{
"header": "User-Agent",
"value": "curl/8.6.0"
},
{
"header": "Accept",
"value": "application/json"
},
{
"header": "Content-Type",
"value": "application/json"
},
{
"header": "Content-Length",
"value": "64"
},
{
"header": "Authorization",
"value": "Bearer eyJhbGciOiJIUzI1NiJ9.abc.def"
}
],
"query": [
{
"parameter": "verbose",
"value": "true"
},
{
"parameter": "fields",
"value": "id,name"
}
],
"body": "{\n \"name\": \"Ada Lovelace\",\n \"email\": \"ada@example.com\",\n \"role\": \"admin\"\n}",
"curl": "curl -X POST 'https://api.example.com/api/v1/users?verbose=true&fields=id,name' \\\n -H 'User-Agent: curl/8.6.0' \\\n -H 'Accept: application/json' \\\n -H 'Content-Type: application/json' \\\n -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiJ9.abc.def' \\\n --data-raw '{\"name\":\"Ada Lovelace\",\"email\":\"ada@example.com\",\"role\":\"admin\"}'",
"json": "{\n \"method\": \"POST\",\n \"target\": \"/api/v1/users?verbose=true&fields=id,name\",\n \"httpVersion\": \"HTTP/1.1\",\n \"path\": \"/api/v1/users\",\n \"queryParameters\": [\n {\n \"name\": \"verbose\",\n \"value\": \"true\"\n },\n {\n \"name\": \"fields\",\n \"value\": \"id,name\"\n }\n ],\n \"headers\": [\n {\n \"name\": \"Host\",\n \"values\": [\n \"api.example.com\"\n ]\n },\n {\n \"name\": \"User-Agent\",\n \"values\": [\n \"curl/8.6.0\"\n ]\n },\n {\n \"name\": \"Accept\",\n \"values\": [\n \"application/json\"\n ]\n },\n {\n \"name\": \"Content-Type\",\n \"values\": [\n \"application/json\"\n ]\n },\n {\n \"name\": \"Content-Length\",\n \"values\": [\n \"64\"\n ]\n },\n {\n \"name\": \"Authorization\",\n \"values\": [\n \"Bearer eyJhbGciOiJIUzI1NiJ9.abc.def\"\n ]\n }\n ],\n \"body\": {\n \"raw\": \"{\\\"name\\\":\\\"Ada Lovelace\\\",\\\"email\\\":\\\"ada@example.com\\\",\\\"role\\\":\\\"admin\\\"}\",\n \"bytes\": 64,\n \"contentType\": \"application/json\",\n \"parsed\": {\n \"name\": \"Ada Lovelace\",\n \"email\": \"ada@example.com\",\n \"role\": \"admin\"\n }\n }\n}"
},
"credits_used": 3,
"credits_remaining": null
}Utilities
HTTP Request Parser
Paste a raw HTTP request and get the method, target, version, headers and body split out — with the query string decoded into parameters, the body pretty-printed by Content-Type, and a ready-to-run cURL command to replay it. Runs entirely in your browser.
POST
/
v1
/
tool
/
raw-http-request-parser
curl --request POST \
--url https://api.iotools.cloud/v1/tool/raw-http-request-parser \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rawRequest": "POST /api/v1/users?verbose=true&fields=id,name HTTP/1.1\nHost: api.example.com\nUser-Agent: curl/8.6.0\nAccept: application/json\nContent-Type: application/json\nContent-Length: 64\nAuthorization: Bearer eyJhbGciOiJIUzI1NiJ9.abc.def\n\n{\"name\":\"Ada Lovelace\",\"email\":\"ada@example.com\",\"role\":\"admin\"}"
}
'{
"tool": "raw-http-request-parser",
"tool_version": "1.0.1",
"outputs": {
"summary": [
{
"field": "Method",
"value": "POST"
},
{
"field": "Path",
"value": "/api/v1/users"
},
{
"field": "Query string",
"value": "verbose=true&fields=id,name"
},
{
"field": "HTTP version",
"value": "HTTP/1.1"
},
{
"field": "Host",
"value": "api.example.com"
},
{
"field": "Content-Type",
"value": "application/json"
},
{
"field": "Headers",
"value": "6"
},
{
"field": "Query parameters",
"value": "2"
},
{
"field": "Body size",
"value": "64 bytes"
}
],
"headers": [
{
"header": "Host",
"value": "api.example.com"
},
{
"header": "User-Agent",
"value": "curl/8.6.0"
},
{
"header": "Accept",
"value": "application/json"
},
{
"header": "Content-Type",
"value": "application/json"
},
{
"header": "Content-Length",
"value": "64"
},
{
"header": "Authorization",
"value": "Bearer eyJhbGciOiJIUzI1NiJ9.abc.def"
}
],
"query": [
{
"parameter": "verbose",
"value": "true"
},
{
"parameter": "fields",
"value": "id,name"
}
],
"body": "{\n \"name\": \"Ada Lovelace\",\n \"email\": \"ada@example.com\",\n \"role\": \"admin\"\n}",
"curl": "curl -X POST 'https://api.example.com/api/v1/users?verbose=true&fields=id,name' \\\n -H 'User-Agent: curl/8.6.0' \\\n -H 'Accept: application/json' \\\n -H 'Content-Type: application/json' \\\n -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiJ9.abc.def' \\\n --data-raw '{\"name\":\"Ada Lovelace\",\"email\":\"ada@example.com\",\"role\":\"admin\"}'",
"json": "{\n \"method\": \"POST\",\n \"target\": \"/api/v1/users?verbose=true&fields=id,name\",\n \"httpVersion\": \"HTTP/1.1\",\n \"path\": \"/api/v1/users\",\n \"queryParameters\": [\n {\n \"name\": \"verbose\",\n \"value\": \"true\"\n },\n {\n \"name\": \"fields\",\n \"value\": \"id,name\"\n }\n ],\n \"headers\": [\n {\n \"name\": \"Host\",\n \"values\": [\n \"api.example.com\"\n ]\n },\n {\n \"name\": \"User-Agent\",\n \"values\": [\n \"curl/8.6.0\"\n ]\n },\n {\n \"name\": \"Accept\",\n \"values\": [\n \"application/json\"\n ]\n },\n {\n \"name\": \"Content-Type\",\n \"values\": [\n \"application/json\"\n ]\n },\n {\n \"name\": \"Content-Length\",\n \"values\": [\n \"64\"\n ]\n },\n {\n \"name\": \"Authorization\",\n \"values\": [\n \"Bearer eyJhbGciOiJIUzI1NiJ9.abc.def\"\n ]\n }\n ],\n \"body\": {\n \"raw\": \"{\\\"name\\\":\\\"Ada Lovelace\\\",\\\"email\\\":\\\"ada@example.com\\\",\\\"role\\\":\\\"admin\\\"}\",\n \"bytes\": 64,\n \"contentType\": \"application/json\",\n \"parsed\": {\n \"name\": \"Ada Lovelace\",\n \"email\": \"ada@example.com\",\n \"role\": \"admin\"\n }\n }\n}"
},
"credits_used": 3,
"credits_remaining": null
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Tool output
Show child attributes
Show child attributes
The tool's slug, echoing the {slug} in the request path.
Output-contract version for this tool.
Credits this call consumed, after any settlement refund. 0 when metering is disabled.
Credits left in the current monthly allowance, or null when metering is disabled.
Correlation id, also sent as x-request-id.
Was this page helpful?
⌘I